%define upstream_name DartsPyLRU

Name:           python-%{upstream_name}
Version:        0.5
Release:        0.1.art
Summary:        LRUDict is basically a simple dictionary
Group:          Development/Python
License:        BSD
URL:            https://github.com/deterministic-arts/DartsPyLRU
Source0:        https://github.com/deterministic-arts/DartsPyLRU/archive/v0.5.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
An `LRUDict` is basically a simple dictionary, which has a defined
maximum capacity, that may be supplied at construction time, or modified
at run-time via the `capacity` property.



%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
#%doc README.rst
%{python_sitelib}/darts/
%{python_sitelib}/darts.util.lru-%{version}-*


%changelog
* Wed Jun 24 2015 Scott R. Shinn <scott@atomicorp.com> - 1.0.1-1
- Initial build
